Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231992 - cupsd crash in get_jobs
Summary: cupsd crash in get_jobs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 6
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-03-13 14:32 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.2.10-3.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 11:54:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 2288 None None None Never

Description Tim Waugh 2007-03-13 14:32:17 UTC
+++ This bug was initially created as a clone of Bug #231522 +++
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 4160650000 (LWP 27991)]
0x079e6fc4 in *__GI___strcasecmp (s1=0xf83903ec "FilePrinter", s2=0x0) at
strcasecmp.c:65
65      strcasecmp.c: No such file or directory.
        in strcasecmp.c
(gdb) #0  0x079e6fc4 in *__GI___strcasecmp (s1=0xf83903ec "FilePrinter", s2=0x0)
at strcasecmp.c:65
#1  0x0802ab3c in get_jobs (con=0x80b1e50, uri=<value optimized out>) at ipp.c:5862
#2  0x08032dec in cupsdProcessIPPRequest (con=0x80b1e50) at ipp.c:494
#3  0x28004484 in ?? ()
#4  0x08016cc4 in cupsdReadClient (con=0x80b1e50) at client.c:2020
#5  0x44004488 in ?? ()
#6  0x080237ac in main (argc=<value optimized out>, argv=<value optimized out>)
at main.c:938
#7  0x22000422 in ?? ()
#8  0x0797dc0c in generic_start_main (main=0x8023030 <main>, argc=2,
ubp_av=0xf839fb54, auxvec=0xf839fbb8,
    init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value
optimized out>, stack_end=<value optimized out>)
    at ../csu/libc-start.c:231
#9  0x0797de34 in __libc_start_main (argc=2, ubp_av=0xf839fb54, ubp_ev=<value
optimized out>, auxvec=0xf839fbb8,
    rtld_fini=0xf7fbeb40 <_dl_fini>, stinfo=0x8070538, stack_on_entry=0xf839fb40)
    at ../sysdeps/unix/sysv/linux/powerpc/libc-start.c:127
#10 0x00000000 in ?? ()
(gdb) #1  0x0802ab3c in get_jobs (con=0x80b1e50, uri=<value optimized out>) at
ipp.c:5862
5862    ipp.c: No such file or directory.
        in ipp.c
(gdb) $1 = (cupsd_client_t *) 0x80b1e50
(gdb) $2 = <value optimized out>
(gdb)  

--- "scheduler/ipp.c" line 5862 of 9717 ---
    if (username[0] && strcasecmp(username, job->username))
------------------

job->username = NULL here

-- Additional comment from twaugh@redhat.com on 2007-03-13 10:30 EST --
Okay, problem understood.  Thanks for your help in tracking it down.

Reported upstream as STR #2288 with patch.

Comment 1 Tim Waugh 2007-04-10 11:54:19 UTC
Fixed in update: cups-1.2.10-3.fc6.


Note You need to log in before you can comment on or make changes to this bug.